libebook::SoftBookLZSSStream Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::SoftBookLZSSStream Class Reference

`#include <SoftBookLZSSStream.h>`

Inheritance diagram for libebook::SoftBookLZSSStream:

## Classes
struct | Configuration

## Public Member Functions
| SoftBookLZSSStream (librevenge::RVNGInputStream *stream, const Configuration &configuration=Configuration())
| ~SoftBookLZSSStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *name) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Private Member Functions
| SoftBookLZSSStream (const SoftBookLZSSStream &other)
SoftBookLZSSStream & | operator= (const SoftBookLZSSStream &other)

## Private Attributes
std::unique_ptr< librevenge::RVNGInputStream > | m_stream

## Constructor & Destructor Documentation

## ◆ SoftBookLZSSStream() [1/2]

libebook::SoftBookLZSSStream::SoftBookLZSSStream | ( | const SoftBookLZSSStream & | other | ) |
| private

Referenced by operator=(), and SoftBookLZSSStream().

## ◆ SoftBookLZSSStream() [2/2]

libebook::SoftBookLZSSStream::SoftBookLZSSStream | ( | librevenge::RVNGInputStream * | stream,
|  | const Configuration & | configuration = Configuration() )
| explicit

## ◆ ~SoftBookLZSSStream()

libebook::SoftBookLZSSStream::~SoftBookLZSSStream | ( |  | ) |
| override

## Member Function Documentation

## ◆ existsSubStream()

bool libebook::SoftBookLZSSStream::existsSubStream | ( | const char * | name | ) |
| override

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libebook::SoftBookLZSSStream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libebook::SoftBookLZSSStream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libebook::SoftBookLZSSStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libebook::SoftBookLZSSStream::isStructured | ( |  | ) |
| override

## ◆ operator=()

SoftBookLZSSStream & libebook::SoftBookLZSSStream::operator= | ( | const SoftBookLZSSStream & | other | ) |
| private

## ◆ read()

const unsigned char * libebook::SoftBookLZSSStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| override

## ◆ seek()

int libebook::SoftBookLZSSStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| override

## ◆ subStreamCount()

unsigned libebook::SoftBookLZSSStream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libebook::SoftBookLZSSStream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libebook::SoftBookLZSSStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_stream

std::unique_ptr<librevenge::RVNGInputStream> libebook::SoftBookLZSSStream::m_stream
| private

Referenced by isEnd(), read(), seek(), SoftBookLZSSStream(), and tell().

The documentation for this class was generated from the following files:

- SoftBookLZSSStream.h
- SoftBookLZSSStream.cpp